module Unforlogistics
  module Core
    module Addresses
      def get_addresses(filters={})
        response = get_request('/addresses', filters)

        get_paging_response(response)
      end

      def get_address(id)
        get_request("/addresses/#{id}").body
      end

      def create_address(attrs={})
        response = post_request('/addresses', attrs)

        get_persistance_response(response)
      end

      def update_address(id, attrs={})
        response = put_request('/addresses', attrs)

        get_persistance_response(response)
      end

      def set_address_status(id, status)
        response = put_request("/addresses/#{id}/status", { value: status })

        get_persistance_response(response)
      end
    end
  end
end
