module Unforlogistics
  module Core
    module Couriers
      def get_couriers(filters={})
        response = get_request('/couriers', filters)

        get_paging_response(response)
      end

      def get_courier(id)
        get_request("/couriers/#{id}").body
      end

      def create_courier(attrs={})
        response = post_request('/couriers', attrs)

        get_persistance_response(response)
      end

      def update_courier(id, attrs={})
        response = put_request("/couriers/#{id}", attrs)

        get_persistance_response(response)
      end

      def enable_courier(id)
        response = put_request("/couriers/#{id}/enabled")

        get_persistance_response(response)
      end

      def disable_courier(id)
        response = put_request("/couriers/#{id}/disabled")

        get_persistance_response(response)
      end
    end
  end
end
