module Unforlogistics
  module Core
    module Emails
      def get_emails(filters={})
        response = get_request('/emails', filters)

        get_paging_response(response)
      end

      def get_email(id)
        get_request("/emails/#{id}").body
      end

      def create_email(attrs={})
        response = post_request('/emails', attrs)

        get_persistance_response(response)
      end

      def update_email(id, attrs={})
        response = put_request("/emails/#{id}", attrs)

        get_persistance_response(response)
      end

      def set_email_status(id, status)
        response = put_request("/emails/#{id}/status", { value: status })

        get_persistance_response(response)
      end
    end
  end
end
