module Unforlogistics
  module Core
    module Phones
      def get_phones(filters={})
        response = get_request('/phones', filters)

        get_paging_response(response)
      end

      def get_phone(id)
        get_request("/phones/#{id}").body
      end

      def create_phone(attrs={})
        response = post_request('/phones', attrs)

        get_persistance_response(response)
      end

      def update_phone(id, attrs={})
        response = put_request("/phones/#{id}", attrs)

        get_persistance_response(response)
      end

      def set_phone_status(id, status)
        response = put_request("/phones/#{id}/status", { value: status })

        get_persistance_response(response)
      end
    end
  end
end
