module Unforlogistics
  module Core
    module ShipmentDispatchHandlings
      def get_shipment_dispatch_handlings(filters={})
        response = get_request('/shipment_dispatch_handlings', filters)

        get_paging_response(response)
      end

      def get_shipment_dispatch_handling(id)
        get_request("/shipment_dispatch_handlings/#{id}").body
      end

      def create_shipment_dispatch_handling(attrs={})
        response = post_request('/shipment_dispatch_handlings', attrs)

        get_persistance_response(response)
      end

      def cancel_shipment_dispatch_handling(id)
        response = put_request("/shipment_dispatch_handlings/#{id}/cancellation")

        get_persistance_response(response)
      end
    end
  end
end
