module Unforlogistics
  module Core
    module ShipmentDrivers
      def get_shipment_drivers(filters={})
        response = get_request('/shipment_drivers', filters)

        get_paging_response(response)
      end

      def get_shipment_driver(id)
        get_request("/shipment_drivers/#{id}").body
      end

      def create_shipment_driver(attrs={})
        response = post_request('/shipment_drivers', attrs)

        get_persistance_response(response)
      end

      def update_shipment_driver(id, attrs={})
        response = put_request("/shipment_drivers/#{id}", attrs)

        get_persistance_response(response)
      end

      def enable_shipment_driver(id)
        response = put_request("/shipment_drivers/#{id}/enabled")

        get_persistance_response(response)
      end

      def disable_shipment_driver(id)
        response = put_request("/shipment_drivers/#{id}/disabled")

        get_persistance_response(response)
      end
    end
  end
end
