module Unforlogistics
  module Core
    module ShipmentTrips
      def get_shipment_trips(filters={})
        response = get_request('/shipment_trips', filters)

        get_paging_response(response)
      end

      def get_shipment_trip(id)
        get_request("/shipment_trips/#{id}").body
      end

      def create_shipment_trip(attrs={})
        response = post_request('/shipment_trips', attrs)

        get_persistance_response(response)
      end

      def get_shipment_trips_availability(attrs={})
        response = post_request('/shipment_trips/availability', attrs)

        if response.headers.warning.nil?
          OpenStruct.new({ valid: true, results: response.body, errors: [] })
        else
          OpenStruct.new({ valid: false, results: nil, errors: response.headers.warning })
        end
      end
    end
  end
end
